---
'16.4':
- Internal Container Registry API tag deletion endpoint
- "`postgres_exporter['per_table_stats']` configuration setting"
- 'Geo: Legacy replication details routes for designs and projects deprecated'
- Deprecate change vulnerability status from the Developer role
- The `ci_job_token_scope_enabled` projects API attribute is deprecated
'16.3':
- Deprecate field `hasSolutions` from GraphQL VulnerabilityType
- RSA key size limits
- Twitter OmniAuth login option is deprecated from self-managed GitLab
- Twitter OmniAuth login option is removed from GitLab.com
- Job token allowlist covers public and internal projects
- GraphQL field `totalWeight` is deprecated
'16.2':
- Deprecated parameters related to custom text in the sign-in page
- GraphQL field `registrySizeEstimated` has been deprecated
- OmniAuth Facebook is deprecated
- Deprecate `CiRunner` GraphQL fields duplicated in `CiRunnerManager`
- The pull-based deployment features of the GitLab agent for Kubernetes is deprecated
'16.1':
- Deprecate Windows CMD in GitLab Runner
- Unified approval rules are deprecated
- Running a single database is deprecated
- Deprecate `message` field from Vulnerability Management features
- GraphQL deprecation of `dependencyProxyTotalSizeInBytes` field
'16.0':
- Changing MobSF-based SAST analyzer behavior in multi-module Android projects
- GraphQL type, `RunnerMembershipFilter` renamed to `CiRunnerMembershipFilter`
- CiRunnerUpgradeStatusType GraphQL type renamed to CiRunnerUpgradeStatus
- "`sidekiq` delivery method for `incoming_email` and `service_desk_email` is deprecated"
- PostgreSQL 13 deprecated
- Bundled Grafana deprecated and disabled
- CiRunner.projects default sort is changing to `id_desc`
'15.9':
- Default CI/CD job token (`CI_JOB_TOKEN`) scope changed
- CI/CD jobs will fail when no secret is returned from Hashicorp Vault
- HashiCorp Vault integration will no longer use CI_JOB_JWT by default
- Trigger jobs can mirror downstream pipeline status exactly
- Legacy URLs replaced or removed
- Secure scanning CI/CD templates will use new job `rules`
- Secure analyzers major version update
- SAST analyzer coverage changing in GitLab 16.0
- Required Pipeline Configuration is deprecated
- Support for Praefect custom metrics endpoint configuration
- Development dependencies reported for PHP and Python
- Managed Licenses API
- License Compliance CI Template
- License-Check and the Policies tab on the License Compliance page
- Legacy Praefect configuration method
- Default CI/CD job token (`CI_JOB_TOKEN`) scope changed
- Embedding Grafana panels in Markdown is deprecated
- GitLab Runner platforms and setup instructions in GraphQL API
- Filepath field in Releases and Release Links APIs
- Queue selector for running Sidekiq is deprecated
- Option to delete projects immediately is deprecated from deletion protection settings
- The GitLab legacy requirement IID is deprecated in favor of work item IID
- External field in Releases and Release Links APIs
- External field in GraphQL ReleaseAssetLink type
- Deprecation and planned removal for `CI_PRE_CLONE_SCRIPT` variable on GitLab SaaS
- Single database connection is deprecated
- Enforced validation of CI/CD parameter character lengths
- Old versions of JSON web tokens are deprecated
- Slack notifications integration
'15.8':
- GitLab Helm chart values `gitlab.kas.privateApi.*` are deprecated
- The Visual Reviews tool is deprecated
- Use of third party container registries is deprecated
- The latest Terraform templates will overwrite current stable templates
- The API no longer returns revoked tokens for the agent for Kubernetes
- Developer role providing the ability to import projects to a group
- "`environment_tier` parameter for DORA API"
- Non-standard default Redis ports are deprecated
- Configuring Redis config file paths using environment variables is deprecated
- Maintainer role providing the ability to change Package settings using GraphQL API
- Container Registry pull-through cache
- Projects API field `operations_access_level` is deprecated
- Live Preview no longer available in the Web IDE
- Cookie authorization in the GitLab for Jira Cloud app
- Deployment API returns error when `updated_at` and `updated_at` are not used together
- Auto DevOps support for Herokuish is deprecated
- 'GraphQL: The `DISABLED_WITH_OVERRIDE` value of the `SharedRunnersSetting` enum
  is deprecated. Use `DISABLED_AND_OVERRIDABLE` instead'
- Limit personal access token and deploy token's access with external authorization
- Automatic backup upload using Openstack Swift and Rackspace APIs
- Auto DevOps no longer provisions a PostgreSQL database by default
- Dependency Scanning support for Java 13, 14, 15, and 16
- Conan project-level search endpoint returns project-specific results
- Azure Storage Driver defaults to the correct root prefix
'15.7':
- "`POST ci/lint` API endpoint deprecated"
- DAST report variables deprecation
- Support for periods (`.`) in Terraform state names might break existing states
- ZenTao integration
- Shimo integration
- The Phabricator task importer is deprecated
- KAS Metrics Port in GitLab Helm Chart
- The `gitlab-runner exec` command is deprecated
- DAST ZAP advanced configuration variables deprecation
- DAST API scans using DAST template is deprecated
- Support for REST API endpoints that reset runner registration tokens
- DAST API variables
'15.6':
- GitLab Runner registration token in Runner Operator
- Registration tokens and server-side runner arguments in `gitlab-runner register`
  command
- "`runnerRegistrationToken` parameter for GitLab Runner Helm Chart"
- Registration tokens and server-side runner arguments in `POST /api/v4/runners` endpoint
- Configuration fields in GitLab Runner Helm Chart
'15.5':
- vulnerabilityFindingDismiss GraphQL mutation
- File Type variable expansion in `.gitlab-ci.yml`
- GraphQL field `confidential` changed to `internal` on notes
'15.4':
- Starboard directive in the config for the GitLab Agent for Kubernetes
- Non-expiring access tokens
- Container Scanning variables that reference Docker
- Toggle behavior of `/draft` quick action in merge requests
- Vulnerability confidence field
'15.3':
- Security report schemas version 14.x.x
- Use of `id` field in vulnerabilityFindingDismiss mutation
- Atlassian Crowd OmniAuth provider
- CAS OmniAuth provider
- Redis 5 deprecated
'15.2':
- Remove `job_age` parameter from `POST /jobs/request` Runner endpoint
'15.10':
- Environment search query requires at least three characters
- DingTalk OmniAuth provider
- Major bundled Helm Chart updates for the GitLab Helm Chart
- Bundled Grafana Helm Chart is deprecated
- Work items path with global ID at the end of the path is deprecated
- Legacy Gitaly configuration method
- Deprecated Consul http metrics
'15.1':
- project.pipeline.securityReportFindings GraphQL query
- PipelineSecurityReportFinding projectFingerprint GraphQL field
- PipelineSecurityReportFinding name GraphQL field
- Jira DVCS connector for Jira Cloud
'15.0':
- GraphQL API legacyMode argument for Runner status
- PostgreSQL 12 deprecated
'14.9':
- GitLab self-monitoring project
- user_email_lookup_limit API field
- htpasswd Authentication for the Container Registry
- GraphQL permissions change for Package settings
- Permissions change for downloading Composer dependencies
- Background upload for object storage
'14.8':
- OAuth tokens without expiration
- Querying Usage Trends via the `instanceStatisticsMeasurements` GraphQL node
- Test coverage project CI/CD setting
- Dependency Scanning Python 3.9 and 3.6 image deprecation
- Secure and Protect analyzer major version update
- Out-of-the-box SAST support for Java 8
- Secure and Protect analyzer images published in new location
- SAST support for .NET 2.1
- SAST analyzer consolidation and CI/CD template changes
- Request profiling
- Deprecate feature flag PUSH_RULES_SUPERSEDE_CODE_OWNERS
- Vulnerability Check
- Container Network and Host Security
- "`started` iteration state"
- Support for gRPC-aware proxy deployed between Gitaly and rest of GitLab
- GraphQL networkPolicies resource deprecated
- GraphQL ID and GlobalID compatibility
- Deprecate legacy Gitaly configuration methods
- Optional enforcement of SSH expiration
- Optional enforcement of PAT expiration
- Retire-JS Dependency Scanning tool
- "`projectFingerprint` in `PipelineSecurityReportFinding` GraphQL"
- External status check API breaking changes
- Required pipeline configurations in Premium tier
- "`CI_BUILD_*` predefined variables"
- Elasticsearch 6.8
'14.7':
- Tracing in GitLab
- Monitor performance metrics through Prometheus
- Logging in GitLab
- Sidekiq metrics and health checks configuration
- "`artifacts:reports:cobertura` keyword"
'14.6':
- apiFuzzingCiConfigurationCreate GraphQL mutation
- CI/CD job name length limit
- bundler-audit Dependency Scanning tool
- Legacy approval status names from License Compliance API
- "`type` and `types` keyword in CI/CD configuration"
'14.5':
- GraphQL API Runner status will not return `paused`
- "`pipelines` field from the `version` field"
- Package pipelines in API payload is paginated
- "`dependency_proxy_for_private_groups` feature flag"
- Update to the Container Registry group-level API
- "`promote-to-primary-node` command from `gitlab-ctl`"
- "`promote-db` command from `gitlab-ctl`"
- Known host required for GitLab Runner SSH executor
- Value Stream Analytics filtering calculation change
- "`Versions` on base `PackageType`"
- Support for SLES 12 SP2
- "`defaultMergeCommitMessageWithDescription` GraphQL API field"
- Changing an instance (shared) runner to a project (specific) runner
- Self-managed certificate-based integration with Kubernetes
- SaaS certificate-based integration with Kubernetes
'14.3':
- GitLab Serverless
- Audit events for repository push events
- OmniAuth Kerberos gem
- Legacy database configuration
'14.10':
- Outdated indices of Advanced Search migrations
- Toggle notes confidentiality on APIs
- Dependency Scanning default Java version changed to 17
'14.0':
- OAuth implicit grant
- Changing merge request approvals with the `/approvals` API endpoint
